> For the complete documentation index, see [llms.txt](https://docs.zapiet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapiet.com/reference/shipping/dates.md).

# Dates

## Get shipping dates

<mark style="color:blue;">`GET`</mark> `https://api.zapiet.com/v1.0/shipping/calendar`

This endpoint allows you to get possible shipping dates.

#### Query Parameters

| Name                                   | Type   | Description                             |
| -------------------------------------- | ------ | --------------------------------------- |
| shop<mark style="color:red;">\*</mark> | string | The merchant's myshopify.com store url. |

#### Request Body

| Name         | Type  | Description                   |
| ------------ | ----- | ----------------------------- |
| shoppingCart | array | The customer's shopping cart. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"minDate": "2021-05-14",
	"maxDate": "2021-05-27",
	"disabled": [
		[2020, 11, 25],
		[2020, 11, 26], 1
	],
	"timezone": "Europe\/London"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```javascript
{
    "shoppingCart": [
        {
            "variant_id": 9226255761451,
            "product_id": 852798275627,
            "quantity": 5
        },
        {
            "variant_id": 9226255761452,
            "product_id": 852798275628,
            "quantity": 2
        }
    ]
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
	"minDate": "2021-05-14",
	"maxDate": "2021-05-27",
	"disabled": [
		[2020, 11, 25],
		[2020, 11, 26], 1
	],
	"timezone": "Europe\/London"
}
```

{% endtab %}
{% endtabs %}
